Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### char

Examples

    char m;      // Declare variable "m" of type char
    m = 'A';     // Assign "m" the value "A"
    int n = '&'; // Declare variable "n" and assign it the value "&"

Description

Datatype for characters, typographic symbols such as A, d, and $. A char stores letters and symbols in the Unicode format, a coding system developed to support a variety of world languages. Each char is two bytes (16 bits) in length and is distinguished by surrounding it with single quotes. Character escapes may also stored as a char. For example, the representation for the "delete" key is '377'. The first time a variable is written, it must be declared with a statement expressing its datatype. Subsequent uses of this variable must not reference the datatype because Processing will think the variable is being declared again.

Syntax

    char var
    char var = value

Parameters

var | variable name referencing the value
value | any character

Usage | Web & Application
Related | String

Updated on February 09, 2008 04:38:52pm PST